Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::ScopedMutex Class Reference

An RAII-style class for acquiring a Mutex. More...

`#include <Mutex.h>`

List of all members.

## Public Member Functions
| ScopedMutex (Mutex &mutex)
| ~ScopedMutex ()
bool | expectLocked () const

## Private Member Functions
| ScopedMutex ()
| Hide default/copy constructor and assignment operator.
| ScopedMutex (ScopedMutex &other)
ScopedMutex & | operator= (const ScopedMutex &)

## Private Attributes
Mutex * | m_mutex
bool | m_isLocked

## Detailed Description

An RAII-style class for acquiring a Mutex.

The mutex is acquired in the constructor and released in the destructor. This class is NOT to be subclassed.

Definition at line 98 of file Mutex.h.

## Constructor & Destructor Documentation

ArgusSamples::ScopedMutex::ScopedMutex | ( | Mutex & | mutex | ) |
| inline explicit

Definition at line 101 of file Mutex.h.

ArgusSamples::ScopedMutex::~ScopedMutex | ( |  | ) |
| inline

Definition at line 108 of file Mutex.h.

ArgusSamples::ScopedMutex::ScopedMutex | ( |  | ) |
| private

Hide default/copy constructor and assignment operator.

ArgusSamples::ScopedMutex::ScopedMutex | ( | ScopedMutex & | other | ) |
| private

## Member Function Documentation

bool ArgusSamples::ScopedMutex::expectLocked | ( |  | ) | const
| inline

Definition at line 114 of file Mutex.h.

ScopedMutex& ArgusSamples::ScopedMutex::operator= | ( | const ScopedMutex & |  | ) |
| private

## Member Data Documentation

bool ArgusSamples::ScopedMutex::m_isLocked
| private

Definition at line 123 of file Mutex.h.

Mutex* ArgusSamples::ScopedMutex::m_mutex
| private

Definition at line 122 of file Mutex.h.

The documentation for this class was generated from the following file:

- common/Mutex.h